# Wumpus World Simulator

This package implements a Python version of the [Hunt the Wumpus](https://en.wikipedia.org/wiki/Hunt_the_Wumpus) game as described in the book [Artificial Intelligence: A Modern Approach by Russell and Norvig](http://aima.cs.berkeley.edu/).

The package has been written to be used in the master course of AI taught at the Faculty of Computer Science of the Free University of Bozen-Bolzano.

## Install

You can download the source code from <https://gitlab.inf.unibz.it/tessaris/wumpus> and use `pip install .` or installing directly from the repository with

```
pip install git+https://gitlab.inf.unibz.it/tessaris/wumpus.git
```

## Usage

To write your own player you should create a subclass of [Player]() and then use an instance of it as a parameter of the `run_episode` method of `GridWorld` class. Instances of the `Player` subclasses should be created using its `player` class method, where you can decide whether to give the player access to the underlying environment or to rely on the state information provided by the `play` method.

Examples of the usage of the package can be found in the implementation of two players `RandomPlayer` and `UserPlayer`, and in the file [`wumpus-usage.py`]() in the `examples` directory of the repository.